## raspberrypi-archive-keyring 2021.1.1+rpt1

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.gpg/raspberrypi-archive-%.gpg,$(wildcard active-keys/add-*))
TMPRING := trusted.gpg/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: verify-indices keyrings/raspberrypi-archive-keyring.gpg keyrings/raspberrypi-archive-removed-keys.gpg verify-results $(TRUSTED-LIST)

verify-indices: keyrings/team-members.gpg
	#gpg ${GPG_OPTIONS} \
	#	--keyring keyrings/team-members.gpg \
	#	--verify active-keys/index.gpg active-keys/index
	#gpg ${GPG_OPTIONS} \
	#	--keyring keyrings/team-members.gpg \
	#	--verify removed-keys/index.gpg removed-keys/index

verify-results: keyrings/team-members.gpg keyrings/raspberrypi-archive-keyring.gpg keyrings/raspberrypi-archive-removed-keys.gpg
	#gpg ${GPG_OPTIONS} \
	#	--keyring keyrings/team-members.gpg --verify \
	#	keyrings/raspberrypi-archive-keyring.gpg.asc \
	#	keyrings/raspberrypi-archive-keyring.gpg
	#gpg ${GPG_OPTIONS} \
	#	--keyring keyrings/team-members.gpg --verify \
	#	keyrings/raspberrypi-archive-removed-keys.gpg.asc \
	#	keyrings/raspberrypi-archive-removed-keys.gpg
	#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
	#	Maybe "just" checking that no key is added if we merge, but how…

keyrings/raspberrypi-archive-keyring.gpg: active-keys/index
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

keyrings/raspberrypi-archive-removed-keys.gpg: removed-keys/index
	jetring-build -I $@ removed-keys
	#gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	#mv -f $@.tmp $@

keyrings/team-members.gpg: team-members/index
	jetring-build -I $@ team-members
	#gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	#mv -f $@.tmp $@

$(TRUSTED-LIST) :: trusted.gpg/raspberrypi-archive-%.gpg : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.gpg
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@

clean:
	rm -f keyrings/raspberrypi-archive-keyring.gpg \
		keyrings/raspberrypi-archive-keyring.gpg~ \
		keyrings/raspberrypi-archive-keyring.gpg.lastchangeset
	rm -f keyrings/raspberrypi-archive-removed-keys.gpg \
		keyrings/raspberrypi-archive-removed-keys.gpg~ \
		keyrings/raspberrypi-archive-removed-keys.gpg.lastchangeset
	rm -f keyrings/team-members.gpg \
		keyrings/team-members.gpg~ \
		keyrings/team-members.gpg.lastchangeset
	rm -rf $(TMPRING) trusted.gpg trustdb.gpg
	rm -f keyrings/*.cache

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp trusted.gpg/raspberrypi-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/raspberrypi-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/raspberrypi-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp $(shell find trusted.gpg/ -name '*.gpg' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: verify-indices verify-results clean build install

## raspberrypi-archive-keyring 2016.10.31

=== debian/changelog ===
raspberrypi-archive-keyring (2016.10.31) stretch; urgency=medium

  * Based on debian-ports-archive-keyring

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 31 Oct 2017 15:50:47 +0000

=== debian/control ===
Source: raspberrypi-archive-keyring
Section: misc
Priority: extra
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>> 9), gnupg1
Standards-Version: 3.9.8

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: gpgv, apt, ${misc:Depends}
Recommends: gnupg
Breaks: apt (<< 0.7.25.1)
Description: GnuPG archive keys of the raspberrypi archive
 The raspberrypi archive digitally signs its Release files. This package
 contains the archive keys used for that.

Package: raspberrypi-archive-keyring-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Recommends: gpgv-udeb
Description: GnuPG keys of the raspberrypi archive
 The raspberrypi archive digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

=== debian/rules ===
#!/usr/bin/make -f

GPG_OPTIONS:=--no-options --no-default-keyring --no-auto-check-trustdb --homedir $(CURDIR)/build

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(CURDIR)/build

	# Build keyrings
	mkdir -p $(CURDIR)/build/keyrings ; \
	gpg1 $(GPG_OPTIONS) --keyring $(CURDIR)/build/keyrings/raspberrypi-archive-keyring.gpg --import $(CURDIR)/active-keys/* ; \
	#No keys removed yet
	#gpg1 $(GPG_OPTIONS) --keyring $(CURDIR)/build/keyrings/raspberrypi-archive-keyring-removed.gpg --import $(CURDIR)/removed-keys/* ; \

	# Build fragment files
	mkdir -p $(CURDIR)/build/trusted.gpg.d
	for k in `ls $(CURDIR)/active-keys` ; do \
	    gpg1 $(GPG_OPTIONS) --keyring $(CURDIR)/build/trusted.gpg.d/$${k%.key}.gpg --import $(CURDIR)/active-keys/$$k ; \
	done

override_dh_auto_clean:
	rm -fr $(CURDIR)/build

## raspberrypi-archive-keyring 2021.1.1+rpt1

=== debian/changelog ===
raspberrypi-archive-keyring (2021.1.1+rpt1) bullseye; urgency=medium

  * Adapat debian-archive-keyring for Raspberry Pi OS

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 13 Jan 2022 13:42:41 +0000

debian-archive-keyring (2021.1.1) unstable; urgency=medium

  * No-change rebuild.

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 25 Feb 2021 17:38:08 +0000

debian-archive-keyring (2021.1) unstable; urgency=medium

  [ Niels Thykier ]
  * Add a lintian-brush.conf to assist janitor.d.n

  [ Jonathan Wiltshire ]
  * Remove jessie's archive keys (Closes: #981343)
  * Add automatic signing keys for bullseye (Closes: #977911)
  * Update my own key
  * Add my transitional EC key
  * Add Debian Stable Release Key (11/bullseye) (ID: 600062A9605C66F00D6C9793)
    (Closes: #977910)
  * Refresh signatures over keyrings/debian-archive-keyring.gpg and
    keyrings/debian-archive-removed-keys.gpg
  * Add myself to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 24 Feb 2021 21:06:42 +0000

debian-archive-keyring (2019.1) unstable; urgency=medium

  [ Adam D. Barratt ]
  * Ensure separated keyrings for Wheezy's keys are removed.  Thanks
    to Sven Joachim.
    (Closes: #912214)

  [ Jonathan Wiltshire ]
  * Add my own key to the team-members keyring
  * Add Debian Stable Release key (10/buster) (ID: DCC9EFBF77E11517)
    (Closes: #917536)
  * Add Debian Archive Automatic Signing Key (10/buster)
    (ID: BCDDDC30D7C23CBBABEE) and Debian Security Archive Automatic
    Signing Key (10/buster) (ID: C5FF4DFAB270CAA96DFA)
    (Closes: #917535)
  * Refresh the signature over keyrings/debian-archive-keyring.gpg

  [ Niels Thykier ]
  * Add myself as uploader (Closes: #927765)

 -- Niels Thykier <niels@thykier.net>  Tue, 23 Apr 2019 13:42:28 +0200

debian-archive-keyring (2018.1) unstable; urgency=medium

  * Team upload.

  [ Philipp Kern ]
  * Point Vcs-* headers to Salsa.
  * Remove Wheezy's keys (automatic and stable release).
    (Closes: #901320)

  [ Niels Thykier ]
  * Merge "separate keyring" installation and upload it to
    unstable (see the changelog entry for 2017.7+exp).

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 17:22:31 +0000

debian-archive-keyring (2017.7+exp) experimental; urgency=medium

  * Team upload.
  * Install separate keyrings for each release in /usr/share/keyrings
    (both in the regular deb and the udeb).  This is to enable
    initial testing of narrowing the set of trusted keys per machine.
    Thanks to Daniel Kahn Gillmor for the suggestion.
    (Closes: #861695)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:25:55 +0000

debian-archive-keyring (2017.7) unstable; urgency=medium

  * Team upload.

  [ Adam D. Barratt ]
  * Fix Vcs-* headers.  Thanks to Daniel Baumann for noticing.
    (Closes: #874723)

  [ Niels Thykier ]
  * Remove unnecessary "XC-" prefix for "Package-Type" in the udeb
    package.
  * Remove now obsolete versioned Breaks on apt.
  * Set R³ to no as debian-archive-keyring does not require (fake)root
    to build.
  * Bump debhelper compat level to 10 but pass --no-parallel to
    dh_auto_build as the Makefile is not parallel-safe.
  * Bump Standards-Version to 4.1.2 - no additional change required.

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:11:11 +0000

debian-archive-keyring (2017.6) unstable; urgency=medium

  * Remove dependencies between the .deb package and gnupg / gpgv.  apt has
    had relevant relationships of its own for some time now, so there's no
    need for us to do so.  (Closes: #801381)
  * Add Vcs-{Browser,Git} headers.
  * Remove trust packets from generated keyrings.  They're not required for
    the purpose of archive keyrings and may change between GnuPG versions,
    rendering the resulting keyrings unreproducible.
    (Closes: #872525, #870780)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 03 Sep 2017 17:52:14 +0100

debian-archive-keyring (2017.5) unstable; urgency=medium

  * Team upload.
  * Add Debian Stable Release Key (9/stretch) (ID: EF0F382A1A7B6500)
    (Closes: #860831)
  * Add Debian Archive Automatic Signing Key (9/stretch) (ID: E0B11894F66AEC98)
    and Debian Security Archive Automatic Signing Key (9/stretch)
    (ID: EDA0D2388AE22BA9) (Closes: #860830)
  * Move the squeeze keys to the removed keyring (Closes: #863303)
  * Update the maintainer README to document removing keys

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 25 May 2017 19:17:13 +0100

debian-archive-keyring (2014.3) unstable; urgency=medium

  * Team upload.
  * Also import signatures for Jessie archive keys.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 14:45:43 +0000

debian-archive-keyring (2014.2) unstable; urgency=medium

  * Team upload. (Closes: #771008)
  * Add Debian Archive Automatic Signing Key (8/jessie) (ID: 7638D0442B90D010)
  * Add Debian Security Archive Automatic Signing Key (8/jessie)
    (ID: 9D6D8F6BC857C906)
  * Remove temporary keyring files (*.gpg~) in clean target.
  * Add a maintainer README (not currently included in the binary package).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 12:29:30 +0000

debian-archive-keyring (2014.1) unstable; urgency=medium

  * Team upload. (Closes: #757533)

  [ Philipp Kern ]
  * Replaced my 1024D key with my 8192R key. Resigned all relevant files
    with my new key so that they can be validated again.
  * Add Jessie Stable Release key (ID: CBF8D6FD518E17E1).

 -- Philipp Kern <pkern@debian.org>  Sat, 30 Aug 2014 19:55:17 +0200

debian-archive-keyring (2012.4) unstable; urgency=low

  * Team upload.
  * Mark as multiarch foreign.

 -- Philipp Kern <pkern@debian.org>  Sat, 02 Jun 2012 17:57:18 +0200

debian-archive-keyring (2012.3) unstable; urgency=low

  * Team upload.
  * Remove the two new keys from trusted.gpg in the postinst and change
    the version check so that we can safely backport them to squeeze
    in a non-split way.



=== debian/control ===
Source: raspberrypi-archive-keyring
Priority: important
Section: misc
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 10), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.0

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GnuPG archive keys of the Raspberry Pi OS archive
 The Raspberry Pi OS project digitally signs its Release files. This package
 contains the archive keys used for that.

## raspberrypi-archive-keyring 2025.1+rpt1

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.pgp/raspberrypi-archive-%.pgp,$(wildcard active-keys/add-*))
TMPRING := trusted.pgp/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: keyrings/raspberrypi-archive-keyring.pgp $(TRUSTED-LIST)

keyrings/raspberrypi-archive-keyring.pgp: active-keys/index
	jetring-build -I $@ active-keys
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

$(TRUSTED-LIST) :: trusted.pgp/raspberrypi-archive-%.pgp : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.pgp
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)
	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
	mv -f $@.tmp $@
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

clean:
	rm -f keyrings/raspberrypi-archive-keyring.pgp \
		keyrings/raspberrypi-archive-keyring.pgp~ \
		keyrings/raspberrypi-archive-keyring.pgp.lastchangeset \
		keyrings/raspberrypi-archive-keyring.gpg \
		$(EOL)
	rm -f keyrings/team-members.pgp \
		keyrings/team-members.pgp~ \
		keyrings/team-members.pgp.lastchangeset
	rm -rf $(TMPRING) trusted.pgp trustdb.gpg
	rm -f keyrings/*.cache

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp trusted.pgp/raspberrypi-archive-*.pgp $(DESTDIR)/usr/share/keyrings/
	cp -a trusted.pgp/raspberrypi-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/raspberrypi-archive-keyring.pgp $(DESTDIR)/usr/share/keyrings/
	cp -a keyrings/raspberrypi-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp $(shell find apt-trusted-asc/ -name '*.asc' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: clean build install

=== debian/changelog ===
raspberrypi-archive-keyring (2025.1+rpt1) trixie; urgency=medium

  * Rename debian -> raspberrypi
  * Completely remove removed-keys
  * Replace debian keys with the raspberry pi archive signing key

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jun 2025 14:20:43 +0100

debian-archive-keyring (2025.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Guillem Jover ]
  * Add .gitignore files
  * Update maintainer documentation for trusted.gpg.d files removal
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp

  [ Jonathan Wiltshire ]
  * Clean up maintscript removal of ancient archive certificates
  * Add NEWS entry warning of file extension renames
  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 09 Apr 2025 23:05:46 +0100

debian-archive-keyring (2023.4) unstable; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:24:09 +0100

debian-archive-keyring (2023.3) unstable; urgency=medium

  * Reinstate cleanup of the APT keyrings for buster (Closes: #1033153)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 28 Mar 2023 21:31:07 +0100

debian-archive-keyring (2023.2) unstable; urgency=medium

  * Reinstate buster keys for apt as fragments (Closes: #1033077)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 17 Mar 2023 17:03:56 +0000

debian-archive-keyring (2023.1) unstable; urgency=medium

  * Standards version 4.6.0 (no changes)
  * Update my key and refresh signature
  * Switch to use ASCII-armoured fragments for APT trust
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
    (Closes: #1029215)
  * Remove stretch's keys (automatic and release)
  * Add automatic signing keys for bookworm (Closes: #1029214)
  * Refresh signature over keyrings/debian-archive-keyring.gpg

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 16 Mar 2023 08:54:35 +0000

=== debian/control ===
Source: raspberrypi-archive-keyring
Priority: important
Section: misc
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 12), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that.

Package: raspberrypi-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that, in a minimal form
 for use in the installer.
